local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("XLoot", "XLoot")
if not Addon then return end

-- members
Addon.wasLocked = false

function Addon:Start()
    
    -- show and unlock the loot frame
    self.wasLocked = XLoot.opts.args.lock.get()
    XLoot.opts.args.lock.set(false)
    XLootFrame:Show()
end

function Addon:Stop()

    -- hide and lock the loot frame
    XLoot.opts.args.lock.set(self.wasLocked)
    XLootFrame:Hide()
end