local revision = tonumber(("$Revision: 63020 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-27 02:03:53 -0500 (Wed, 27 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("InFlight", "InFlight")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 1
local TIMER_ID = "InFlightShakedown"

function Addon:Start()

    -- show bar now
    self:ShowBar()

    --schedule repeating bars
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.ShowBar, self)

end

function Addon:Stop()
    
    -- stop the repeating event
    self:RemoveTimer(TIMER_ID)

end

function Addon:ShowBar()

    -- show a dummy bar
    InFlight:StartMiscFlight("InFlight", "InFlight")

end